From 1aaeed590e5b972072f24ac1de9f22936d7b02af Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Tue, 4 Mar 2025 11:10:21 -0500
Subject: [PATCH v2.5 21/30] wip: ci: Increase openbsd kern.maxfiles to fix
 concurrent test issues

Author:
Reviewed-by:
Discussion: https://postgr.es/m/
Backpatch:
---
 .cirrus.tasks.yml | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/.cirrus.tasks.yml b/.cirrus.tasks.yml
index ba4bfa43a50..96d2b18cee0 100644
--- a/.cirrus.tasks.yml
+++ b/.cirrus.tasks.yml
@@ -262,6 +262,10 @@ task:
         TCL: -Dtcl_version=tcl86
       setup_additional_packages_script: |
         #pkg_add -I ...
+      sysctl_script: |
+        sysctl -a|grep ^kern.max
+        # otherwise parallel tests run into limits
+        sysctl kern.maxfiles=10000
       # Always core dump to ${CORE_DUMP_DIR}
       set_core_dump_script: sysctl -w kern.nosuidcoredump=2
       <<: *openbsd_task_template
-- 
2.48.1.76.g4e746b1a31.dirty

